Bug 466 - Samba crashing
Samba crashing
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0preX
All Linux
: P3 normal
: 3.0.1
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-17 11:27 UTC by Ville Poikolainen
Modified: 2005-11-14 09:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ville Poikolainen 2003-09-17 11:27:22 UTC
Here's a piece a log. Hopefully it will reveal something. Actually I don't know
the reason for crashing but as far as I know, when someone is accessing a samba
share, it crashes.

Sep 17 21:19:30 rausku smbd[23947]: [2003/09/17 21:19:30, 0]
lib/fault.c:fault_report(36)
Sep 17 21:19:30 rausku smbd[23947]:  
===============================================================
Sep 17 21:19:30 rausku smbd[23947]: [2003/09/17 21:19:30, 0]
lib/fault.c:fault_report(37)
Sep 17 21:19:30 rausku smbd[23947]:   INTERNAL ERROR: Signal 11 in pid 23947
(3.0.0rc1)
Sep 17 21:19:30 rausku smbd[23947]:   Please read the appendix Bugs of the Samba
HOWTO collection
Sep 17 21:19:30 rausku smbd[23947]: [2003/09/17 21:19:30, 0]
lib/fault.c:fault_report(39)
Sep 17 21:19:30 rausku smbd[23947]:  
===============================================================
Sep 17 21:19:30 rausku smbd[23947]: [2003/09/17 21:19:30, 0]
lib/util.c:smb_panic(1462)
Sep 17 21:19:30 rausku smbd[23947]:   PANIC: internal error
Sep 17 21:19:30 rausku smbd[23947]: [2003/09/17 21:19:30, 0]
lib/util.c:smb_panic(1469)
Sep 17 21:19:30 rausku smbd[23947]:   BACKTRACE: 11 stack frames:
Sep 17 21:19:30 rausku smbd[23947]:    #0 smbd(smb_panic+0xfd) [0x81bb62d]
Sep 17 21:19:30 rausku smbd[23947]:    #1 smbd [0x81a9e39]
Sep 17 21:19:30 rausku smbd[23947]:    #2 /lib/tls/libc.so.6 [0x420276f8]
Sep 17 21:19:30 rausku smbd[23947]:    #3 smbd(make_nmb_name+0x52) [0x80fa582]
Sep 17 21:19:30 rausku smbd[23947]:    #4 smbd(cli_full_connection+0x7e) [0x80d7cee]
Sep 17 21:19:30 rausku smbd[23947]:    #5
smbd(change_trust_account_password+0x1b5) [0x80ce045]
Sep 17 21:19:30 rausku smbd[23947]:    #6 smbd [0x80c86f2]
Sep 17 21:19:30 rausku smbd[23947]:    #7 smbd(smbd_process+0x298) [0x80c8b78]
Sep 17 21:19:30 rausku smbd[23947]:    #8 smbd(main+0x4b9) [0x82230d9]
Sep 17 21:19:30 rausku smbd[23947]:    #9
/lib/tls/libc.so.6(__libc_start_main+0xe4) [0x420156a4]
Sep 17 21:19:30 rausku smbd[23947]:    #10 smbd(fsetxattr+0x31) [0x8076a61]
Sep 17 21:19:30 rausku smbd[23947]:
Comment 1 Tim Potter 2003-09-17 16:50:38 UTC
Can you try with rc4?  Bug 384 is very similar to to this.
Comment 2 Ville Poikolainen 2003-09-18 13:16:47 UTC
I could try it. I'll install it asap.
Comment 3 Tim Potter 2003-09-18 19:08:13 UTC
cc me
Comment 4 Gerald (Jerry) Carter 2003-10-01 10:26:57 UTC
This should be fixed in 3.0.0.  Marking it as such.
Comment 5 Gerald (Jerry) Carter 2005-02-07 09:05:59 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:27:30 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 7 Gerald (Jerry) Carter 2005-11-14 09:30:58 UTC
database cleanup